Although much of the functionality works on previous versions, we recommend IE7 and above.